Home

# Class goog.ui.Tab

Tab control, designed to be hosted in a {@link goog.ui.TabBar}. The tab's DOM may be different based on the configuration of the containing tab bar, so tabs should only be rendered or decorated as children of a tab bar.

extends goog.ui.Control

Instance Method Summary
| `getTooltip() ⇒ (string|undefined)`
| `setTooltip(string tooltip)` Sets the tab tooltip text. If the tab has already been rendered, updates its tooltip.
| `setTooltipInternal(string tooltip)` Sets the tab tooltip text. Considered protected; to be called only by the renderer during element decoration.